package fr.monkhanny.dorfromantik.listeners;

import fr.monkhanny.dorfromantik.game.Board;

public class GameSpaceKeyListener extends java.awt.event.KeyAdapter {
    private Board board;

    public GameSpaceKeyListener(Board board) {
        this.board = board;
    }

    @Override
    public void keyPressed(java.awt.event.KeyEvent e) {
        if (e.getKeyCode() == java.awt.event.KeyEvent.VK_SPACE) {
            board.handleSpaceKeyPress();  // Appeler la méthode dans Board pour dézoomer
        }
    }
}
